IntroductionAuthenticationSelecting dataFilteringSorting & pagination

Core resources

Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesProduct reply to addressesProduct servicesProductsRefundsReply to addressesReview productsReview widget listingsReview widgetsReviewsSeasonsServicesSite listingsSite nav itemsSite pagesSite viewsSitesTask assigneesTask template assigneesTask templatesTasksTaxesUser profilesWebhook notificationsWebhooksWidget analyticsWidget listingsWidgets

Booking flow

Query availabilitySearch availabilityBook

The reply to addresse object

Attributes

iduuid

Unique identifier

organization_iduuid
organizations.id

Identifier of the organization this reply-to address is defined in

emailtext

The email address to send the reply to

nametext

The display name of email address to send the reply to

The reply to addresse object

JSON

{
  "id": "00000000-0000-0000-0000-000000000000",
  "organization_id": "00000000-0000-0000-0000-000000000000",
  "email": "",
  "name": ""
}

List reply to addresses

Filters

idFilter<uuid>

Unique identifier

organization_idFilter<uuid>
organizations.id

Identifier of the organization this reply-to address is defined in

emailFilter<text>

The email address to send the reply to

nameFilter<text>

The display name of email address to send the reply to

Responses

200

A list of reply to addresses with the selected columns

206

Partial Content

GET /reply_to_addresses
curl -X GET "https://api.bookingmood.com/v1/reply_to_addresses?select=*" \
  -H "Authorization: Bearer YOUR_API_KEY"

Create reply to addresses

Body

Partial<ReplyToAddresse> | Array<Partial<ReplyToAddresse>>

Responses

201

The newly created reply to addresses with the selected columns

POST /reply_to_addresses
curl -X POST "https://api.bookingmood.com/v1/reply_to_addresses" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '[]'

Delete reply to addresses

Filters

idFilter<uuid>

Unique identifier

organization_idFilter<uuid>
organizations.id

Identifier of the organization this reply-to address is defined in

emailFilter<text>

The email address to send the reply to

nameFilter<text>

The display name of email address to send the reply to

Responses

204

The deleted reply to addresses with the selected columns

DELETE /reply_to_addresses
curl -X DELETE "https://api.bookingmood.com/v1/reply_to_addresses" \
  -H "Authorization: Bearer YOUR_API_KEY"

Update reply to addresses

Filters

idFilter<uuid>

Unique identifier

organization_idFilter<uuid>
organizations.id

Identifier of the organization this reply-to address is defined in

emailFilter<text>

The email address to send the reply to

nameFilter<text>

The display name of email address to send the reply to

Body

Partial<ReplyToAddresse>

Responses

204

The updated reply to addresses with the selected columns

PATCH /reply_to_addresses
curl -X PATCH "https://api.bookingmood.com/v1/reply_to_addresses" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{}'